package cn.com.pc.penguin.service;

import org.apache.lucene.search.Query;
import org.apache.lucene.search.Sort;

/**
 * Created by IntelliJ IDEA.
 * User: huangqinghe
 * To change this template use File | Settings | File Templates.
 */
public interface QueryBuilder {
    public Query buildQuery(SearchArgs args) throws Exception;
	public Sort buildSort(SearchArgs args) throws Exception;
	public Query buildFilter(SearchArgs args) throws Exception;
}
